// *
// * BlogCodeApp.h
// *
// *  Created on: Sep 1, 2018
// *      Author: Timothy Fish
// *      Website: http://www.timothyfish.com
// *

#ifndef BLOGCODEAPP_H_
#define BLOGCODEAPP_H_
#include <resources.h>
#include <windows.h>

class BlogCodeApp {
public:
	static BlogCodeApp& getInstance();
	virtual ~BlogCodeApp();

	int begin(HINSTANCE hInstance,
	          HINSTANCE hPrevInstance,
	          PSTR    lpCmdLine,
	          int       nCmdShow);

	HINSTANCE getHInstance(){ return hInst; }
	void setHInstance(HINSTANCE h){ hInst = h; }
private:
	static BlogCodeApp* instance;
	bool running;

	HINSTANCE hInst;
	const char* className = "BlogCodeApp";
	const char* appName   = "Blog Code Format";
	BlogCodeApp();
	ATOM MyRegisterClass(HINSTANCE hInstance);
	BOOL InitInstance(HINSTANCE hInstance, int nCmdShow);
	static LRESULT CALLBACK WndProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
	static INT_PTR CALLBACK About(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
	static VOID Submit(HWND hwnd);
	static VOID Clear(HWND hwnd);
};

#endif /* BLOGCODEAPP_H_ */
